%define name		wmnet
%define version		1.05
%define release		12mdk
%define xrootdir	/usr/X11R6
%define xconfdir	/etc/X11

SUMMARY:		Applet that monitors the network
Name:			%{name}
Version:		%{version}
Release:		%{release}
License:		GPL
Group:			Graphical desktop/WindowMaker
URL:			http://www.digitalkaos.net/linux/wmnet/
Source0:		%{name}-%{version}.tar.bz2
Source1:		%{name}.wmconfig.bz2
Source2:		wmnet-icons.16.xpm.bz2
Source3:		wmnet-icons.32.xpm.bz2
Source4:		wmnet-icons.48.xpm.bz2
Patch0:			wmnet-sa-restorer.patch.bz2
Patch1:			wmnet-1.05-man-graph.patch.bz2
Patch2:			wmnet-1.05-glibc22.patch.bz2
BuildRoot:		%{_tmppath}/%{name}-buildroot
Exclusiveos:		Linux
BuildRequires:		XFree86-devel

%description 
Wmnet uses ip accounting in the Linux kernel
to monitor your network.

%prep
%setup
%patch0 -p1 -b .sigaction
%patch1 -p1 -b .man-graph
%patch2 -p1 -b .glibc22

%build
xmkmf
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT

# wmnet standard install
install -d %buildroot/%xrootdir/bin
install -d %buildroot/%xrootdir/man/man1
install -m 755 -s wmnet %buildroot/%xrootdir/bin
install -m 644 wmnet.man %buildroot/%xrootdir/man/man1/wmnet.1

# wmaker config file
install -d %buildroot/%xconfdir/wmconfig
bzcat %{SOURCE1} > %buildroot/%xconfdir/wmconfig/%name

# mdk menu icons
install -d %buildroot/%_miconsdir
install -d %buildroot/%_iconsdir
install -d %buildroot/%_liconsdir
bzcat %{SOURCE2} > %buildroot/%_miconsdir/%name.xpm
bzcat %{SOURCE3} > %buildroot/%_iconsdir/%name.xpm
bzcat %{SOURCE4} > %buildroot/%_liconsdir/%name.xpm

# mdk menu entry
install -d %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%{name}): \
    command="%{xrootdir}/bin/wmnet" \
    icon="wmnet.xpm" \
    needs="x11" \
    section="Networking/Other" \
    title="WMnet" \
    longtitle="A little X doc.app network monitor"
EOF

%post
%update_menus

%postun
%clean_menus

%files
%attr(-,root,root)	%doc README Changelog
%attr(644,root,root)	%config(noreplace) %{xconfdir}/wmconfig/%{name}
%attr(755,root,root)	%{xrootdir}/bin/wmnet
%attr(644,root,root)	%{xrootdir}/man/man1/wmnet.1*
%attr(644,root,root)	%{_menudir}/%{name}
%attr(644,root,root)	%{_iconsdir}/%{name}*
%attr(644,root,root)	%{_liconsdir}/%{name}*
%attr(644,root,root)	%{_miconsdir}/%{name}*

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Tue Aug  7 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-12mdk
- Fix invalid-distribution Linux-Mandrake
- Sanitize spec file (s/Copyright/License/)
- Patch1: correct graph documentation for tx/rx description
- Patch2: fix build with glibc-2.2 which defines printf() as a macro when
  gcc-2.97 or later is used

* Wed Mar 28 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-11mdk
- Fixed group entry: use "WindowMaker" instead of "Window Maker"

* Tue Feb 27 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.05-10mdk
- Cleaned up specfile
- Added documentation files
- Added mdk menu icons
- Fixed URL to WMnet homepage

* Fri Feb  9 2001 Jeff Garzik <jgarzik@mandrakesoft.com> 1.05-9mdk
- Remove linux-specific code to set sa_restorer
  member of the signal_action structure.
- Remove ExclusiveArch tag, not needed.

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.05-8mdk
- automatically added BuildRequires

* Wed Jul 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-7mdk
- let spechelcompress man pages
- fix tmmpath

* Fri Jul 21 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-6mdk
- BM

* Mon Apr 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.05-5mdk
- New group

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 1.05-4mdk
- Added PPC support

* Tue Jan 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.05-3mdk
- Don't build for alpha.

* Mon Nov 08 1999 John Buswell <johnb@mandrakesoft.com>
- Fixed Permissions
- Build Release

* Tue May 11 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Make Mandrake compliant again.

* Fri Apr 30 1999 Alexandre Dussart <adussart@mandrakesoft.com>
- Mandrake Compliant.
- Group changed.
